// MCredits.cpp: implementation of the MCredits class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "MCredits.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

MCredits::MCredits()
{

}

MCredits::~MCredits()
{

}

void MCredits::Destroy()
{
	if (m_bPozadi != -1) d3dx.DestroyTexture(m_bPozadi);
	m_bPozadi = -1;
}

void MCredits::Draw()
{
	d3dx.Draw(m_bPozadi, 400, 300, 0, 1.5625);

//cerne
	m_fontL->DrawTextScaled( 131, 221,  0.9f, 1, 1, 0xff000000, "Bernard", D3DFONT_FILTERED);
	m_font->DrawTextScaled(  211, 217,  0.9f, 1, 1, 0xff000000, "LIDICK", D3DFONT_FILTERED);
	m_fontL->DrawTextScaled( 131, 246,  0.9f, 0.9f, 0.9f, 0xff000000, "2berny@seznam.cz", D3DFONT_FILTERED);

	m_fontL->DrawTextScaled( 511, 341,  0.9f, 1, 1, 0xff000000, "Zdenk", D3DFONT_FILTERED);
	m_font->DrawTextScaled(  586, 337,  0.9f, 1, 1, 0xff000000, "BSWART", D3DFONT_FILTERED);
	m_fontL->DrawTextScaled( 511, 366,  0.9f, 0.9f, 0.9f, 0xff000000, "2zdeny@seznam.cz", D3DFONT_FILTERED);

// bile
	m_fontL->DrawTextScaled( 130, 220,  0.9f, 1, 1, 0xffffffff, "Bernard", D3DFONT_FILTERED);
	m_font->DrawTextScaled(  210, 216,  0.9f, 1, 1, 0xffffffff, "LIDICK", D3DFONT_FILTERED);
	m_fontL->DrawTextScaled( 130, 245,  0.9f, 0.9f, 0.9f, 0xffffffff, "2berny@seznam.cz", D3DFONT_FILTERED);

	m_fontL->DrawTextScaled( 510, 340,  0.9f, 1, 1, 0xffffffff, "Zdenk", D3DFONT_FILTERED);
	m_font->DrawTextScaled(  585, 336,  0.9f, 1, 1, 0xffffffff, "BSWART", D3DFONT_FILTERED);
	m_fontL->DrawTextScaled( 510, 365,  0.9f, 0.9f, 0.9f, 0xffffffff, "2zdeny@seznam.cz", D3DFONT_FILTERED);

}

void MCredits::Init(CMainFrame *parent)
{
	GBase::Init(parent);

	m_bPozadi = d3dx.CreateTextureFromFile("data\\mcredits.jpg");
}

int MCredits::OnKey(int nChar)
{
	switch (nChar) {
	case 27 : 
	case VK_RETURN : 
	case VK_SPACE :
		return MENU_MAIN; 
		break;
	}

	return MENU_DEFAULT;
}
