#ifndef _HMP3_INCLUDED_
#define _HMP3_INCLUDED_

#include <dshow.h>


class HDShowAudio {
public:
	HDShowAudio();
	~HDShowAudio();
	bool Create();
	void Play(char* file, bool loop);
	void Pause();
	void Play();
	void Stop();
	void CleanUp();

	IGraphBuilder *m_pGraphBuilder;
	IMediaControl *m_pMediaControl;
	IMediaSeeking *m_pMediaSeeking;
	IMediaEventEx *m_pMediaEventEx;
	IBaseFilter   *m_pSourceCurrent;
	IBaseFilter   *m_pSourceNext;
	TCHAR          m_szCurrentFile[128];

	bool           m_loop;
	bool           m_play;
	bool           m_inicialized;

	bool           m_iconicpause;

public:
	void SetFocus();
	void KillFocus();
	static void __stdcall Timer(  HWND hwnd,  UINT uMsg, UINT idEvent, DWORD dwTime);
};

extern HDShowAudio hmp3;



#endif // _HMP3_INCLUDED_